Simple Javascript eXtension Framework
==

The simple Javascript eXtension framework (jx in short) implements wrappers around common tasks performed on DOM object, JSON object and implements various utilities like **design patterns** for 
* easy handling of collections 
* as well as mathematic functions 
* and some basic machine learning techniques and models. 

Jx plays well with existing frameworks like jQuery; Dojo; Mootools; Backbone; Boostrap. We put in a concerted effort to keep it simple yet useful.  

<table style="width:100%">
<tr>
<td><b>Modules</b></td><td><b>Description</b></td>
</tr>
<tr>
<td><b>rpc.js</b></td><td>XMLHttpRequest wrapper. Enables to make ajax requests using a simple interface</td>
</tr>
<tr><td><b>dom.js</b><td>Provides an interfact to manipulate Document Object Model (DOM)...</td></tr>
<tr><td><b>utils.js</b></td><td>Implements reusable functions around design patterns to manipulate collections, JSON objects ...</td></tr>
<tr><td><b>ext/math.js</b></td><td>Reusable mathematical and statistical functions</td></tr>
<tr><td><b>ext/ml.js</b></td><td>Reusable big data framework with functions like map/reduce.</td></tr>
</table>